Instance Service
Update Instance Setting
Updates an instance setting.
Path Parameters
instance*string
The instance id.
Query Parameters
updateMask?string
The list of fields to update.
Format
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
An instance setting resource.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/instance/string/*" \ -H "Content-Type: application/json" \ -d '{}'{ "name": "string", "generalSetting": { "disallowUserRegistration": true, "disallowPasswordAuth": true, "additionalScript": "string", "additionalStyle": "string", "customProfile": { "title": "string", "description": "string", "logoUrl": "string" }, "weekStartDayOffset": 0, "disallowChangeUsername": true, "disallowChangeNickname": true }, "storageSetting": { "storageType": "STORAGE_TYPE_UNSPECIFIED", "filepathTemplate": "string", "uploadSizeLimitMb": "string", "s3Config": { "accessKeyId": "string", "accessKeySecret": "string", "endpoint": "string", "region": "string", "bucket": "string", "usePathStyle": true, "insecureSkipTlsVerify": true } }, "memoRelatedSetting": { "contentLengthLimit": 0, "enableDoubleClickEdit": true, "reactions": [ "string" ] }, "tagsSetting": { "tags": { "property1": { "backgroundColor": { "red": 0.1, "green": 0.1, "blue": 0.1, "alpha": 0.1 }, "blurContent": true }, "property2": { "backgroundColor": { "red": 0.1, "green": 0.1, "blue": 0.1, "alpha": 0.1 }, "blurContent": true } } }, "notificationSetting": { "email": { "enabled": true, "smtpHost": "string", "smtpPort": 0, "smtpUsername": "string", "smtpPassword": "string", "fromEmail": "string", "fromName": "string", "replyTo": "string", "useTls": true, "useSsl": true } }, "aiSetting": { "providers": [ { "id": "string", "title": "string", "type": "AI_PROVIDER_TYPE_UNSPECIFIED", "endpoint": "string", "apiKey": "string", "apiKeySet": true, "apiKeyHint": "string" } ], "transcription": { "providerId": "string", "model": "string", "language": "string", "prompt": "string" } }}